[NTG-pdftex] [ pdftex-Bugs-564 ] cannot compile pdftex under cygwin anymore

noreply at sarovar.org noreply at sarovar.org
Fri May 26 03:05:12 CEST 2006


Bugs item #564, was opened at 2006-05-26 06:01
You can respond by visiting: 
http://sarovar.org/tracker/?func=detail&atid=493&aid=564&group_id=106

Category: None
Group: None
Status: Open
Resolution: None
Priority: 5
Submitted By: Robert (schlcht)
Assigned to: Nobody (None)
Summary: cannot compile pdftex under cygwin anymore

Initial Comment:
I've recently updated my cygwin system, and since then
am not able to compile pdftex anymore.

gcc -v gives:
| gcc version 3.4.4 (cygming special) (gdc 0.12, using
dmd 0.125)

The last lines of build.sh's output are:
| srcdir=../../../src/texk/web2c /bin/sh
../../../src/texk/web2c/web2c/convert tangleboot
| gcc -DHAVE_CONFIG_H  -I. -I../../../src/texk/web2c
-I.. -I../../../src/texk/web2c/..   -g -O2  -c
tangleboot.c -o tangleboot.o
| In file included from tangleboot.c:94:
| tangleboot.h:34: error: conflicting types for 'getline'
| /usr/include/sys/stdio.h:31: error: previous
declaration of 'getline' was here
| tangleboot.h:34: error: conflicting types for 'getline'
| /usr/include/sys/stdio.h:31: error: previous
declaration of 'getline' was here
| make: *** [tangleboot.o] Error 1

What to do?


----------------------------------------------------------------------

Comment By: Nobody (None)
Date: 2006-05-26 06:35

Message:
Logged In: NO 

It's a bug in Cygwin. See the following links:

http://www.mail-archive.com/tetex@dbs.uni-hannover.de/msg00961.html
http://ftp.tug.org/mail/archives/pdftex/2006-February/006370.html

Best,
v.


----------------------------------------------------------------------

You can respond by visiting: 
http://sarovar.org/tracker/?func=detail&atid=493&aid=564&group_id=106


More information about the ntg-pdftex mailing list